Bug 1416521 - atomic-openshift-installer allows a atomic-host node to be a storage node
Summary: atomic-openshift-installer allows a atomic-host node to be a storage node
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.10.0
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
: 1427819 1484559 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 17:11 UTC by Eric Paris
Modified: 2018-04-16 14:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 14:46:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Paris 2017-01-25 17:11:35 UTC
I have 1 RHEL machine running atomic-openshift-installer. It is NOT part of the cluster.

I have 3 RHAH machines to actually be the cluster.

I set 1/3 of the machines to be a master and 2/3 to be nodes.

I selected 'containerized' for all 3.

I selected all defaults otherwise.

This meant that the master was also selected to be a 'storage' node.

However the 'master' is 'containerized' on 'RHAH' and thus is not supported to be a storage node.

The install then failed with:
------------------------
Play 13/30 (Configure nfs)
..........................................fatal: [10.12.7.64]: FAILED! => {"failed": true, "msg": "The module unknown was not found in configured module paths. Additionally, core modules are missing. If this is a checkout, run 'git submodule update --init --recursive' to correct this problem."}
 
10.12.6.74                 : ok=53   changed=7    unreachable=0    failed=0  
10.12.7.64                 : ok=149  changed=39   unreachable=0    failed=1  
10.12.7.91                 : ok=54   changed=7    unreachable=0    failed=0  
localhost                  : ok=10   changed=0    unreachable=0    failed=0  
 
 
Installation Complete: Note: Play count is an estimate and some were skipped because your install does not require them
 
 
An error was detected. After resolving the problem please relaunch the
installation process.
-------------------------

Removing `- storage` from the master in /root/.config/openshift/installer.cfg.yml allowed the intallation to go further.

Comment 2 Scott Dodson 2017-06-09 04:16:36 UTC
*** Bug 1427819 has been marked as a duplicate of this bug. ***

Comment 3 Scott Dodson 2017-08-24 19:03:56 UTC
We won't fix the quick installer, it's going away, but we should fix the openshift_storage_nfs role to work on atomic host.

Comment 4 Scott Dodson 2017-08-24 19:38:07 UTC
*** Bug 1484559 has been marked as a duplicate of this bug. ***

Comment 5 Scott McCarty 2017-08-24 20:28:07 UTC
Adding here, as to not loose the business problem....

Description of problem:
I just tested this with the new 3.6 installer running from RHEL7.4, connecting to a RHEL Atomic Host 7.4 host to be installed, and it still fails with the same problem described here (https://bugzilla.redhat.com/show_bug.cgi?id=1340425). 

The business driver here is that we need the all-in-one/quick-installer to work on Atomic Host. So, just telling customers that they have to put the NFS role on a RHEL box really hinders our ability to run on Atomic Host. 

What we really need, is for the installer to recognize this as Atomic Host and change the storage type to something else, like local directory, for the all-in-one.

This use case is important for sales situations where the customer needs to just download it and play, we want to drive Atomic Host usage.

Also, it's useful for developers who may want their own all-in-one install of OpenShift.

Is there a way to do this?



Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Run installer from RHEL7 box, connect to Atomic Host
2. Walk through selection items
3. Begin installation
4. It will fail

Actual results:
Install fails with this message:

============================================================================
Play 13/34 (Configure nfs)
..................................................fatal: [atomic7.dc2.crunchtools.com]: FAILED! => {"changed": false, "failed": true, "msg": "Could not find a module for unknown."}

atomic7.dc2.crunchtools.com : ok=228  changed=37   unreachable=0    failed=1   
localhost                  : ok=12   changed=0    unreachable=0    failed=0   


Installation Complete: Note: Play count is only an estimate, some plays may have been skipped or dynamically added


Failure summary:

  1. Host:     atomic7.dc2.crunchtools.com
     Play:     Configure nfs
     Task:     openshift_storage_nfs : Install nfs-utils
     Message:  Could not find a module for unknown.

An error was detected. After resolving the problem please relaunch the
installation process.
============================================================================


Expected results:

============================================================================
Determine that OpenShift Container Platform is being installed on Atomic Host and select a different storage type. Do not require an NFS role at all for the registry to work. It doesn't matter if the storage is local in an all-in-one installation.


============================================================================


Additional info:

This really hinders our ability to do proof of concepts with OCP on Atomic Host because it requires two nodes instead of one. Furthermore, the docker setup is so much easier on Atomic Host, and the installation is way faster.

So, we are forcing people to only use RHEL which slows things down.

Comment 8 Scott Dodson 2018-04-16 14:46:46 UTC
atomic-openshift-installer has been removed from 3.10, CLOSED WONTFIX


Note You need to log in before you can comment on or make changes to this bug.